import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const Tag: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        label: PropTypes.Requireable<string>;
        selectable: PropTypes.Requireable<boolean>;
        selected: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        label: string;
        selectable: boolean;
        selected: boolean;
        onClick: undefined;
    };
};
export default Tag;
